Name:             jboss-ejb3-ext-api
Version:          2.1.0
Release:          %mkrel 7
Group:            Development/Java
Summary:          JBoss EJB 3 Extension API
License:          LGPLv3+
URL:              http://www.jboss.org/ejb3
Source0:          https://github.com/jbossejb3/jboss-ejb3-ext-api/archive/2.1.0.tar.gz

BuildArch:        noarch

BuildRequires:    aether
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    jboss-parent

%description
JBoss EJB 3 API for Bean Providers

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.md
%doc LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 2.1.0-7.mga6
+ Revision: 976452
- First rebuild of the java stack
- sync package jboss-ejb3-ext-api with fedora
- imported package jboss-ejb3-ext-api

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-4.mga5
+ Revision: 747187
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.1.0-2.mga4
+ Revision: 541901
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 2.1.0-1.mga4
+ Revision: 496513
- New version

* Sat Feb 25 2012 gil <gil> 2.0.0-0.1.beta2.mga2
+ Revision: 214943
- imported package jboss-ejb3-ext-api


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-2
- Added aether BR

* Tue Jul 23 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-1
- Upstream release 2.1.0
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.0.0-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 10 2012 Sebastien Pasche <braoru@fedoraproject.org> 2.0.0-2
- Removed both namedversion and mavenversion global var
- License is LGPLv3+
- Added LICENSE to sub-packages
- Fixed T%%{_javadir}/jboss to %%{_javadir}/%%{name}
- Added java to Requires
- Fixed issues with version number
- Fixed git redundant manipulations

* Tue Feb 28 2012 Sebastien Pasche <braoru@fedoraproject.org> 2.0.0-1
- Re-Packaging to 2.0.0
- Cleaning

* Fri Dec 09 2011 Marek Goldmann <mgoldman@redhat.com> 2.0.0-0.1.beta2
- Initial packaging
